Calculate Payroll

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/calculate

Calculate payroll based on provided input parameters. This endpoint allows you to simulate payroll calculations for a given set of employee and financial details. It also sends the calculated payroll to your email address for further analysis.

Input Schema

{
    title: String,
    usePercentageForAllowance: Boolean,
    grossAmount: Number,
    withholdingTax: Boolean,
    paye: {
        stateForPaye: String,
        taxId: String,
        amount: Number,
        manually_inputted: Boolean,
    },
    pension: {
        provider: String,
        amount: Number,
        providerPin: String,
        usePercentage: Boolean,
        employeePensionPin: String,
        employerPensionContribution: Number,
        employeePensionContribution: Number,
        employerVoluntaryContribution: Number,
        employeeVoluntaryContribution: Number,
        manually_inputted: Boolean,
    },
    microPension: {
        rate: Number,
        amount: Number,
        monthlyGrossAmount: Number,
    },
    allowanceDetails: [{
        allowanceId: String,
        percentage: Number,
        amount: Number,
        name: String,
    }],
    benefits: String[],
    firstName: String,
    email: String,
}

Response Schema

{
    status: Boolean,
    message: String,
    data: {
        annualGross: Number,
        annualNet: Number,
        annualEmployerPensionContribution: Number,
        annualStatutories: {
            annual_paye: Number,
            annual_pension: Number,
            annual_microPension: Number,
        },
        allowances: {
            [allowanceName: String]: {
                allowanceId: String,
                percentage: Number,
                amount: Number,
                name: String,
            },
        };
    };
}
Body Params
string
required

Title for the payroll calculation.

boolean
required

Indicates whether allowance amounts are specified in percentage.

float
required

Gross salary amount for the employee.

boolean
required

Indicates whether withholding tax is applicable.

paye
object
pension
object
microPension
object
allowanceDetails
array
required

Array of allowance details, including allowance ID, percentage, amount, and name.

allowanceDetails*
benefits
array of strings
required
Defaults to ["paye,"pension","microPension"]

Array of benefit types to include in the payroll calculation (e.g., ["paye", "pension", "microPension"]).

benefits*
string
required

first name of the individual making the request, so the email can be addressed to you

string
required

email address of individual making the request so the calculated result can also be sent as an email to them

Headers
string
required

Bearer {your_api_key}

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json